Loading...
Searching...
No Matches
juce::AudioProcessorListener Class Referenceabstract

## Detailed Description

Base class for listeners that want to know about changes to an AudioProcessor.

Use AudioProcessor::addListener() to register your listener with an AudioProcessor.

See also
  AudioProcessor

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/processors/juce_AudioProcessorListener.h

## Classes

struct | ChangeDetails
| Provides details about aspects of an AudioProcessor which have changed. More...

## Public Member Functions

virtual | ~AudioProcessorListener ()=default
| Destructor.
virtual void | audioProcessorParameterChanged (AudioProcessor *processor, int parameterIndex, float newValue)=0
| Receives a callback when a parameter is changed.
virtual void | audioProcessorChanged (AudioProcessor *processor, const ChangeDetails &details)=0
| Called to indicate that something else in the plugin has changed, like its program, number of parameters, etc.
virtual void | audioProcessorParameterChangeGestureBegin (AudioProcessor *processor, int parameterIndex)
| Indicates that a parameter change gesture has started.
virtual void | audioProcessorParameterChangeGestureEnd (AudioProcessor *processor, int parameterIndex)
| Indicates that a parameter change gesture has finished.

## Constructors and Destructors

## ~AudioProcessorListener()

virtual juce::AudioProcessorListener::~AudioProcessorListener | ( |  | ) |

virtual default

Destructor.

## Member Functions

## audioProcessorParameterChanged()

virtual void juce::AudioProcessorListener::audioProcessorParameterChanged | ( | AudioProcessor * | processor,
|  | int | parameterIndex,
|  | float | newValue )

pure virtual

Receives a callback when a parameter is changed.

IMPORTANT NOTE: This will be called synchronously when a parameter changes, and many audio processors will change their parameter during their audio callback. This means that not only has your handler code got to be completely thread-safe, but it's also got to be VERY fast, and avoid blocking. If you need to handle this event on your message thread, use this callback to trigger an AsyncUpdater or ChangeBroadcaster which you can respond to on the message thread.

## audioProcessorChanged()

virtual void juce::AudioProcessorListener::audioProcessorChanged | ( | AudioProcessor * | processor,
|  | const ChangeDetails & | details )

pure virtual

Called to indicate that something else in the plugin has changed, like its program, number of parameters, etc.

IMPORTANT NOTE: This will be called synchronously, and many audio processors will call it during their audio callback. This means that not only has your handler code got to be completely thread-safe, but it's also got to be VERY fast, and avoid blocking. If you need to handle this event on your message thread, use this callback to trigger an AsyncUpdater or ChangeBroadcaster which you can respond to later on the message thread.

## audioProcessorParameterChangeGestureBegin()

virtual void juce::AudioProcessorListener::audioProcessorParameterChangeGestureBegin | ( | AudioProcessor * | processor,
|  | int | parameterIndex )

virtual

Indicates that a parameter change gesture has started.

E.g. if the user is dragging a slider, this would be called when they first press the mouse button, and audioProcessorParameterChangeGestureEnd would be called when they release it.

IMPORTANT NOTE: This will be called synchronously, and many audio processors will call it during their audio callback. This means that not only has your handler code got to be completely thread-safe, but it's also got to be VERY fast, and avoid blocking. If you need to handle this event on your message thread, use this callback to trigger an AsyncUpdater or ChangeBroadcaster which you can respond to later on the message thread.

See also
  audioProcessorParameterChangeGestureEnd

## audioProcessorParameterChangeGestureEnd()

virtual void juce::AudioProcessorListener::audioProcessorParameterChangeGestureEnd | ( | AudioProcessor * | processor,
|  | int | parameterIndex )

virtual

Indicates that a parameter change gesture has finished.

E.g. if the user is dragging a slider, this would be called when they release the mouse button.

IMPORTANT NOTE: This will be called synchronously, and many audio processors will call it during their audio callback. This means that not only has your handler code got to be completely thread-safe, but it's also got to be VERY fast, and avoid blocking. If you need to handle this event on your message thread, use this callback to trigger an AsyncUpdater or ChangeBroadcaster which you can respond to later on the message thread.

See also
  audioProcessorParameterChangeGestureBegin

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited